function [outputArg] = plot_suspension_histogram(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    % plot 1: position heave front [mm/s]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Heave Front [mm/s]")
    histogram(ax1, pltData.velocityHeaveFront_mmps(tr,:),"Normalization","percentage")
    % plot 2: position roll front [mm/s]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Roll Front [mm/s]")
    histogram(ax2, pltData.velocityHeaveFront_mmps(tr,:),"Normalization","percentage")
    % plot 3: position heave front [mm/s]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Heave Rear [mm/s]")
    histogram(ax3, pltData.velocityHeaveFront_mmps(tr,:),"Normalization","percentage")
    % plot 4: position roll front [mm/s]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Roll Rear [mm/s]")
    histogram(ax4, pltData.velocityHeaveFront_mmps(tr,:),"Normalization","percentage")
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

